/*
 *  Copyright 2019, Antoine Fontaine <antoine.fontaine@epfl.ch>
 *  I release this program under GNU GPLv3+.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#pragma once

//#define EPFL_MOODLE_ROOT "https://moodlearchive.epfl.ch/2018-2019/" // doesn't quite work: cannot get course list
#define EPFL_MOODLE_ROOT "https://moodle.epfl.ch"

#define EPFL_MAIN_PAGE            EPFL_MOODLE_ROOT"/my/"
#define EPFL_TEQUILA_LOGIN        EPFL_MOODLE_ROOT"/auth/tequila/index.php"
#define EPFL_TEQUILA_LOGIN_ACTION "https://tequila.epfl.ch/cgi-bin/tequila/login"

#define EPFL_ENROL_LINK EPFL_MOODLE_ROOT"/enrol/"

#define EPFL_COURSE_LINK EPFL_MOODLE_ROOT"/course/view.php?id="

#define EPFL_ASSIGNMENT_LINK EPFL_MOODLE_ROOT"/mod/assign/view.php?id="
#define EPFL_FILE_LINK       EPFL_MOODLE_ROOT"/mod/resource/view.php?id="
#define EPFL_FOLDERFILE_LINK EPFL_MOODLE_ROOT"/pluginfile.php/%u/mod_folder/content/0/"
#define EPFL_FOLDER_LINK     EPFL_MOODLE_ROOT"/mod/folder/view.php?id="
#define EPFL_FORUM_LINK      EPFL_MOODLE_ROOT"/mod/forum/view.php?id="
#define EPFL_PAGE_LINK       EPFL_MOODLE_ROOT"/mod/page/view.php?id="
#define EPFL_QUIZ_LINK       EPFL_MOODLE_ROOT"/mod/quiz/view.php?id="
#define EPFL_URL_LINK        EPFL_MOODLE_ROOT"/mod/url/view.php?id="

